summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChris Gianelloni <wolf31o2@gentoo.org>2006-08-04 15:43:26 +0000
committerChris Gianelloni <wolf31o2@gentoo.org>2006-08-04 15:43:26 +0000
commita79ea5d3fd5e66bf78fd645c8fcdf45affca9ab9 (patch)
tree08fc244d28d348dd83dace2dde8e8a5092eb02e6 /eclass/vmware.eclass
parentVersion bump. (diff)
downloadgentoo-2-a79ea5d3fd5e66bf78fd645c8fcdf45affca9ab9.tar.gz
gentoo-2-a79ea5d3fd5e66bf78fd645c8fcdf45affca9ab9.tar.bz2
gentoo-2-a79ea5d3fd5e66bf78fd645c8fcdf45affca9ab9.zip
Minor code cleanup.
Diffstat (limited to 'eclass/vmware.eclass')
-rw-r--r--eclass/vmware.eclass14
1 files changed, 9 insertions, 5 deletions
diff --git a/eclass/vmware.eclass b/eclass/vmware.eclass
index 2d9d4c70fa9b..fa1d45858e8b 100644
--- a/eclass/vmware.eclass
+++ b/eclass/vmware.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/vmware.eclass,v 1.1 2006/07/31 20:10:50 ikelos Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/vmware.eclass,v 1.2 2006/08/04 15:43:26 wolf31o2 Exp $
# This eclass is for all vmware-* ebuilds in the tree and should contain all
# of the common components across the multiple packages.
@@ -192,7 +192,8 @@ vmware_src_install() {
if [[ -e "${S}/${x}" ]]
then
dodir "${VMWARE_INSTALL_DIR}"/${x}
- cp -pPR "${S}"/${x}/* "${D}""${VMWARE_INSTALL_DIR}"/${x} || die "copying ${x}"
+ cp -pPR "${S}"/${x}/* "${D}""${VMWARE_INSTALL_DIR}"/${x} \
+ || die "copying ${x}"
fi
done
@@ -241,7 +242,8 @@ vmware_src_install() {
done
# This removed the user/group warnings
- # But also broke vmware-server with FEATURES="userpriv" since it removes the set-UID bit
+ # But also broke vmware-server with FEATURES="userpriv" since it removes
+ # the set-UID bit
#chown -R root:${VMWARE_GROUP} ${D} || die
# We like desktop icons.
@@ -267,8 +269,10 @@ vmware_src_install() {
newexe installer/services.sh ${product} || die "services.sh"
# Set the name
- dosed "s:%LONGNAME%:Vmware ${FULL_NAME}:" "${config_dir}"/init.d/${product}
- [ "${shortname}" == "server" ] && dosed "s:%SHORTNAME%:wgs:" "${config_dir}"/init.d/${product}
+ dosed "s:%LONGNAME%:Vmware ${FULL_NAME}:" \
+ "${config_dir}"/init.d/${product}
+ [ "${shortname}" == "server" ] && dosed "s:%SHORTNAME%:wgs:" \
+ "${config_dir}"/init.d/${product}
# Then we "fix" it.
dosed -e 's/mknod -m 600/mknod -m 660/' \